const columns = [
  {
    prop: 'stockCode',
    label: '库存申请编码',
    fixed: 'left',
    width: '160px'
  },
  {
    prop: 'spuCode',
    label: '商品编码',
    width: '160px'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    minWidth: '125px',
  },
  {
    label: '商品分类',
    minWidth: '125px',
    _slot_:'catinfo'
  },
  {
    prop:'stock_num',
    label:'本次申请数量',
    width:'100px'
  },
  {
    prop: 'specInfo',
    label: '商品规格',
    minWidth: '125px',
    _slot_:'specInfo'
  },
  {
    prop: 'status',
    _slot_: 'status',
    label: '状态',
    width: '100px'
  },
  {
    prop: 'TODO',
    label: '业务公司',
    width: '160px',
    _slot_:'company'
  },
  {
    prop: 'apply_name',
    label: '申请人',
    width: '90px'
  },
  {
    prop: 'createtime',
    label: '创建时间',
    width: '155px'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    width: '50px',
    _slot_: 'operation'
  }
]
const showColumns = [
  {
    prop: 'orderCode',
    label: '订单编号',
    span: 6
  },
  {
    prop: 'order_type',
    label: '订单来源',
    _slot_: 'order_type',
    span: 6
  },
  {
    prop: 'status',
    label: '工差单状态',
    _slot_: 'status',
    span: 6
  },
  {
    prop: 'addtime',
    label: '创建时间',
    span: 6
  },

  {
    prop: 'diff_weight',
    label: '工差总重量',
    span: 6
  },
  {
    prop: 'diff_price',
    label: '工差总金额',
    span: 6
  },
  {
    prop: 'gold_price',
    label: '金价',
    span: 6
  },
  {
    prop: 'is_act',
    label: '客户反馈',
    _slot_: 'is_act',
    span: 6
  },
  {
    prop: 'customer_remark',
    label: '客户意愿',
    _slot_: 'customer_remark',
    span: 6
  },
  {
    prop: 'remark',
    label: '业务审核备注',
    span: 18
  }
]

const detailColumns = [
  {
    prop: 'stockCode',
    label: '库存申请编号',
    span: 8
  },
  {
    prop:'good_name',
    label:'商品名称',
    span:8
  },
  {
    label: '状态',
    prop: 'status',
    span: 8,
    _slot_: 'status'
  },
  {
    label:'仓库名称',
    prop:'wsm_name',
    span:8
  },
  {
    label:'添加库存数',
    prop:'stock_num',
    span:8
  },
  {
    label:'创建时间',
    prop:'createtime',
    span:8
  },
  {
    label: '备注',
    prop: 'remark',
    span: 24
  }
]


export const productColumns = [
  {
    prop: "cat_info",
    label: "商品分类",
    span: 8,
    _slot_: "cat_info",
  },
  {
    prop: "good_img",
    label: "商品主图",
    _slot_: "good_img",
    span: 8,
  },
  {
    prop: "good_info_img",
    _slot_: "good_info_img",
    label: "详情图片",
    span: 8,
  },
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    span: 24,
  },
  {
    prop: "companyName",
    label: "业务公司",
    span: 12,
  },
  {
    prop: "supplierName",
    label: "供应商",
    span: 12,
  },
  {
    prop: "brand_name",
    label: "商品品牌",
    span: 6,
  },
  {
    prop: "is_auth",
    label: "销售权限",
    _slot_: "is_auth",
    span: 6,
  },
  {
    prop: "unit",
    label: "单位",
    span: 6,
  },
  {
    prop: "tax",
    label: "税点",
    _slot_: "tax",
    span: 6,
  },
  {
    prop: "is_exclusive",
    label: "专属类型",
    _slot_: "is_exclusive",
    span: 6,
  },
  {
    prop: "weight",
    label: "商品总重量",
    _slot_: "weight",
    span: 6,
  },
  {
    prop: "is_stock",
    label: "是否库存品",
    _slot_: "is_stock",
    span: 6,
  },
  {
    prop: "is_combind",
    label: "组合类型",
    _slot_: "is_combind",
    span: 6,
  },
  {
    prop: "noble",
    _slot_: "noble",
    label: "贵金属信息",
    span: 24,
  },
  {
    prop: "after_sales",
    label: "售后说明",
    span: 24,
  },
  {
    prop: "good_remark",
    label: "商品备注",
    span: 24,
  },
  {
    prop: "craft_desc",
    label: "工艺说明",
    span: 24,
  },
  {
    prop: "packing_way",
    label: "包装方式",
    span: 6,
  },
  {
    prop: "packing_spec",
    label: "装箱规格",
    span: 6,
  },
  {
    prop: "packing_weight",
    label: "装箱重量",
    _slot_: "packing_weight",
    span: 6,
  },
  {
    prop: "packing_size",
    label: "装箱尺寸",
    span: 6,
  },
  {
    prop: "good_size",
    label: "装箱尺寸",
    span: 6,
  },
  {
    prop: "good_bar",
    label: "商品条形码",
    span: 6,
  },
  {
    prop: "packing_list",
    label: "商品清单",
    span: 12,
  },
  {
    prop: "packing_spec",
    label: "供货区域",
    span: 6,
    _slot_: "packing_spec",
  },
  {
    prop: "delivery_day",
    label: "物流天数",
    _slot_: "delivery_day",
    span: 6,
  },
  {
    prop: "lead_time",
    label: "供货周期",
    _slot_: "lead_time",
    span: 6,
  },
  {
    prop: "sample_day",
    label: "调样周期",
    _slot_: "sample_day",
    span: 6,
  },
  {
    prop: "delivery_place",
    label: "发货地",
    span: 12,
    _slot_: "delivery_place",
  },
  {
    prop: "origin_place",
    label: "产地",
    span: 12,
    _slot_: "origin_place",
  },
];
export { columns, showColumns, detailColumns }
